Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# ControlWidgetBase Class Reference

This class is specific to the mediaplayer apps. More...

`#include <controlwidgetbase.h>`

List of all member functions.

## Public Members

- ControlWidgetBase ( QWidget * parent, const QString & skin, const QString & audio, const char * name )
- ~ControlWidgetBase ()
- virtual void setTickerText ( const QString & )
- virtual void updateVolume ()
- virtual void makeVisible ()

## Public Slots

- void sliderPressed ()
- void sliderReleased ()
- void setPosition ( long )
- void setLength ( long )
- void setPaused ( bool b )
- void setSeekable ( bool b )
- void setLooping ( bool b )
- void setPlaying ( bool b )
- void setFullscreen ( bool b )
- void setSkin ( const QString & skin )
- void loadImages ()
- void scaleImages ()
- void hideVolumeOverlay ()
- void stop ()
- void play ()

## Signals

- void sliderMoved ( long )
- void moreClicked ()
- void lessClicked ()
- void moreReleased ()
- void lessReleased ()
- void forwardClicked ()
- void backwardClicked ()
- void forwardReleased ()
- void backwardReleased ()

## Static Public Members

- QString toTimeString ( long )

## Protected Members

- virtual void virtualResize () = 0
- virtual void virtualPaint ( QPaintEvent * event ) = 0
- virtual void virtualUpdateSlider () = 0
- virtual void paintButton ( QPainter & p, int i )
- virtual void drawOverlays ()
- QString timeAsString ( long )
- void keyPressEvent ( QKeyEvent * event )
- void keyReleaseEvent ( QKeyEvent * event )
- void mouseMoveEvent ( QMouseEvent * event )
- void mousePressEvent ( QMouseEvent * event )
- void mouseReleaseEvent ( QMouseEvent * event )
- void closeEvent ( QCloseEvent * event )
- void resizeEvent ( QResizeEvent * event )
- void paintEvent ( QPaintEvent * event )
- void resetButtons ()
- void updateSlider ()
- void setButtonData ( MediaButton * mediaButtons, int count )
- void resizeObjects ( int w, int h, int scaleW, int scaleH, int cornerWidgetWidth = 0 )
- void setToggleButton ( MediaButtonType, bool )
- void toggleButton ( int )
- void paintAllButtons ( QPainter & p )
- void getButtonPix ( bool down )
- void getButtonMask ( int i )
- bool videoGeometry ( QRect & )
- void drawVolumeOverlay ( bool inPaintEvent = true )

## Detailed Description

This class is specific to the mediaplayer apps.

It is currently private to those apps, and its API, and therefore binary compatibilty may change in later versions.

It is the base class used to make the skinned audio and video views.

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.